
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/agp/ali-agp.c      |    4 ++--
 drivers/char/agp/amd-k7-agp.c   |    2 +-
 drivers/char/agp/amd64-agp.c    |    2 +-
 drivers/char/agp/ati-agp.c      |    2 +-
 drivers/char/agp/backend.c      |    4 ++--
 drivers/char/agp/efficeon-agp.c |    2 +-
 drivers/char/agp/frontend.c     |    6 +++---
 drivers/char/agp/nvidia-agp.c   |    2 +-
 drivers/char/agp/sis-agp.c      |    2 +-
 drivers/char/agp/sworks-agp.c   |    2 +-
 drivers/char/agp/via-agp.c      |    4 ++--
 11 files changed, 16 insertions(+), 16 deletions(-)

diff -puN drivers/char/agp/ali-agp.c~drivers-char-agp-make-code-static drivers/char/agp/ali-agp.c
--- 25/drivers/char/agp/ali-agp.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.943233896 -0700
+++ 25-akpm/drivers/char/agp/ali-agp.c	2005-04-30 13:20:56.962231008 -0700
@@ -192,7 +192,7 @@ static struct aper_size_info_32 ali_gene
 	{4, 1024, 0, 3}
 };
 
-struct agp_bridge_driver ali_generic_bridge = {
+static struct agp_bridge_driver ali_generic_bridge = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= ali_generic_sizes,
 	.size_type		= U32_APER_SIZE,
@@ -215,7 +215,7 @@ struct agp_bridge_driver ali_generic_bri
 	.agp_destroy_page	= ali_destroy_page,
 };
 
-struct agp_bridge_driver ali_m1541_bridge = {
+static struct agp_bridge_driver ali_m1541_bridge = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= ali_generic_sizes,
 	.size_type		= U32_APER_SIZE,
diff -puN drivers/char/agp/amd64-agp.c~drivers-char-agp-make-code-static drivers/char/agp/amd64-agp.c
--- 25/drivers/char/agp/amd64-agp.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.945233592 -0700
+++ 25-akpm/drivers/char/agp/amd64-agp.c	2005-04-30 13:20:56.962231008 -0700
@@ -243,7 +243,7 @@ static void amd64_cleanup(void)
 }
 
 
-struct agp_bridge_driver amd_8151_driver = {
+static struct agp_bridge_driver amd_8151_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= amd_8151_sizes,
 	.size_type		= U32_APER_SIZE,
diff -puN drivers/char/agp/amd-k7-agp.c~drivers-char-agp-make-code-static drivers/char/agp/amd-k7-agp.c
--- 25/drivers/char/agp/amd-k7-agp.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.946233440 -0700
+++ 25-akpm/drivers/char/agp/amd-k7-agp.c	2005-04-30 13:20:56.963230856 -0700
@@ -358,7 +358,7 @@ static struct gatt_mask amd_irongate_mas
 	{.mask = 1, .type = 0}
 };
 
-struct agp_bridge_driver amd_irongate_driver = {
+static struct agp_bridge_driver amd_irongate_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= amd_irongate_sizes,
 	.size_type		= LVL2_APER_SIZE,
diff -puN drivers/char/agp/ati-agp.c~drivers-char-agp-make-code-static drivers/char/agp/ati-agp.c
--- 25/drivers/char/agp/ati-agp.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.948233136 -0700
+++ 25-akpm/drivers/char/agp/ati-agp.c	2005-04-30 13:20:56.964230704 -0700
@@ -393,7 +393,7 @@ static int ati_free_gatt_table(struct ag
 	return 0;
 }
 
-struct agp_bridge_driver ati_generic_bridge = {
+static struct agp_bridge_driver ati_generic_bridge = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= ati_generic_sizes,
 	.size_type		= LVL2_APER_SIZE,
diff -puN drivers/char/agp/backend.c~drivers-char-agp-make-code-static drivers/char/agp/backend.c
--- 25/drivers/char/agp/backend.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.949232984 -0700
+++ 25-akpm/drivers/char/agp/backend.c	2005-04-30 13:20:56.965230552 -0700
@@ -97,7 +97,7 @@ void agp_backend_release(struct agp_brid
 EXPORT_SYMBOL(agp_backend_release);
 
 
-struct { int mem, agp; } maxes_table[] = {
+static struct { int mem, agp; } maxes_table[] = {
 	{0, 0},
 	{32, 4},
 	{64, 28},
@@ -322,7 +322,7 @@ static int __init agp_init(void)
 	return 0;
 }
 
-void __exit agp_exit(void)
+static void __exit agp_exit(void)
 {
 }
 
diff -puN drivers/char/agp/efficeon-agp.c~drivers-char-agp-make-code-static drivers/char/agp/efficeon-agp.c
--- 25/drivers/char/agp/efficeon-agp.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.951232680 -0700
+++ 25-akpm/drivers/char/agp/efficeon-agp.c	2005-04-30 13:20:56.966230400 -0700
@@ -303,7 +303,7 @@ static int efficeon_remove_memory(struct
 }
 
 
-struct agp_bridge_driver efficeon_driver = {
+static struct agp_bridge_driver efficeon_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= efficeon_generic_sizes,
 	.size_type		= LVL2_APER_SIZE,
diff -puN drivers/char/agp/frontend.c~drivers-char-agp-make-code-static drivers/char/agp/frontend.c
--- 25/drivers/char/agp/frontend.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.953232376 -0700
+++ 25-akpm/drivers/char/agp/frontend.c	2005-04-30 13:20:56.967230248 -0700
@@ -235,7 +235,7 @@ static void agp_insert_into_pool(struct 
 
 /* File private list routines */
 
-struct agp_file_private *agp_find_private(pid_t pid)
+static struct agp_file_private *agp_find_private(pid_t pid)
 {
 	struct agp_file_private *curr;
 
@@ -250,7 +250,7 @@ struct agp_file_private *agp_find_privat
 	return NULL;
 }
 
-void agp_insert_file_private(struct agp_file_private * priv)
+static void agp_insert_file_private(struct agp_file_private * priv)
 {
 	struct agp_file_private *prev;
 
@@ -262,7 +262,7 @@ void agp_insert_file_private(struct agp_
 	agp_fe.file_priv_list = priv;
 }
 
-void agp_remove_file_private(struct agp_file_private * priv)
+static void agp_remove_file_private(struct agp_file_private * priv)
 {
 	struct agp_file_private *next;
 	struct agp_file_private *prev;
diff -puN drivers/char/agp/nvidia-agp.c~drivers-char-agp-make-code-static drivers/char/agp/nvidia-agp.c
--- 25/drivers/char/agp/nvidia-agp.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.954232224 -0700
+++ 25-akpm/drivers/char/agp/nvidia-agp.c	2005-04-30 13:20:56.967230248 -0700
@@ -288,7 +288,7 @@ static struct gatt_mask nvidia_generic_m
 };
 
 
-struct agp_bridge_driver nvidia_driver = {
+static struct agp_bridge_driver nvidia_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= nvidia_generic_sizes,
 	.size_type		= U8_APER_SIZE,
diff -puN drivers/char/agp/sis-agp.c~drivers-char-agp-make-code-static drivers/char/agp/sis-agp.c
--- 25/drivers/char/agp/sis-agp.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.956231920 -0700
+++ 25-akpm/drivers/char/agp/sis-agp.c	2005-04-30 13:20:56.968230096 -0700
@@ -119,7 +119,7 @@ static struct aper_size_info_8 sis_gener
 	{4, 1024, 0, 3}
 };
 
-struct agp_bridge_driver sis_driver = {
+static struct agp_bridge_driver sis_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes 	= sis_generic_sizes,
 	.size_type		= U8_APER_SIZE,
diff -puN drivers/char/agp/sworks-agp.c~drivers-char-agp-make-code-static drivers/char/agp/sworks-agp.c
--- 25/drivers/char/agp/sworks-agp.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.957231768 -0700
+++ 25-akpm/drivers/char/agp/sworks-agp.c	2005-04-30 13:20:56.969229944 -0700
@@ -409,7 +409,7 @@ static void serverworks_agp_enable(struc
 	agp_device_command(command, 0);
 }
 
-struct agp_bridge_driver sworks_driver = {
+static struct agp_bridge_driver sworks_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= serverworks_sizes,
 	.size_type		= LVL2_APER_SIZE,
diff -puN drivers/char/agp/via-agp.c~drivers-char-agp-make-code-static drivers/char/agp/via-agp.c
--- 25/drivers/char/agp/via-agp.c~drivers-char-agp-make-code-static	2005-04-30 13:20:56.958231616 -0700
+++ 25-akpm/drivers/char/agp/via-agp.c	2005-04-30 13:20:56.969229944 -0700
@@ -170,7 +170,7 @@ static void via_tlbflush_agp3(struct agp
 }
 
 
-struct agp_bridge_driver via_agp3_driver = {
+static struct agp_bridge_driver via_agp3_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= agp3_generic_sizes,
 	.size_type		= U8_APER_SIZE,
@@ -193,7 +193,7 @@ struct agp_bridge_driver via_agp3_driver
 	.agp_destroy_page	= agp_generic_destroy_page,
 };
 
-struct agp_bridge_driver via_driver = {
+static struct agp_bridge_driver via_driver = {
 	.owner			= THIS_MODULE,
 	.aperture_sizes		= via_generic_sizes,
 	.size_type		= U8_APER_SIZE,
_
